/* Reset básico */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body, html {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #000000;
  font-family: sans-serif;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px; /* espacio entre texto, imagen y botón */
  width: 90%;
  max-width: 600px; /* tamaño máximo de la landing */
}

#landing-img {
  width: 100%;
  height: auto; /* mantiene proporción, responsive */
  max-height: 80vh; /* opcional: no superar altura de pantalla */
  object-fit: contain;
  margin-bottom: 20px;
}

#start-btn {
  padding: 1rem 2rem;
  font-size: 1.2rem;
  cursor: pointer;
}

#coming-soon {
  font-size: 2rem;
  margin-top: 20px;
  color: #fff;
}

.hidden {
  display: none;
}

.pulse-btn {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  border: none;
  background-color: rgb(255, 00, 35);  /* color inicial */
  cursor: pointer;

  position: relative;

  animation: pulse 2s infinite;

  transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.pulse-btn::after {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 50%;
  background: rgb(255, 00, 35);
  animation: pulse-ring 2s infinite;
}

@keyframes pulse {
  0%   { transform: scale(1); }
  50%  { transform: scale(1.08); }
  100% { transform: scale(1); }
}

@keyframes pulse-ring {
  0%   { transform: scale(1); opacity: 0.5; }
  100% { transform: scale(1.9); opacity: 0; }
}

.pulse-btn:hover {
  background-color: white;
}

.pulse-btn:hover::after {
  background: rgba(255, 255, 255, 0.4);
}

.coming-soon-text { 
  font-family: 'Aref Ruqaa Ink', sans-serif;
  font-weight: 700;
  font-style: normal;
  letter-spacing: 1px;
  font-size: 1.5rem;
  color: rgb(255, 00, 35);
  opacity: 0;
  transition: opacity 0.6s ease;
}

.coming-soon-text.active {
  opacity: 1;
  }